<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>List Pendaftar</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-2 my-md-2 bd-layout">
    <div th:include="sidebar/sidebar_verifikasi::sidebar_verifikasi" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
                    <span>Data pendaftar</span>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card bg-body bg-opacity-50 shadow-sm">
                    <div class="card-header align-middle">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-6 align-middle">
                                    Show entries <span align-middle sd:page-size-selector="javascript"></span>
                                </div>

                                <div class="col-md-6" align="right">
                                    <input class="form-control" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-hover table-striped small">
                                <thead class="table-dark" style="--bs-table-bg:#15408d;">
                                <tr>
                                    <th>#</th>
                                    <th>Nama</th>
                                    <th>Jenis Kelamin</th>
                                    <th>Email</th>
                                    <th>Status</th>
                                    <th>Tanggal Submit</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr class="align-middle" th:each="data,row : ${listPendaftar}">
                                    <td th:text="${(row.index + 1) + (listPendaftar.number * listPendaftar.size)}">1.</td>
                                    <td th:text="${data.getNamaLengkap()}"></td>
                                    <td th:text="${data.getJenisKelamin()}"></td>
                                    <td th:text="${data.getUser().getUsername()}"></td>
                                    <td>
                                        <div class="bg-warning bg-opacity-25 border border-warning border-start-0 border-end-0" align="center">
                                            <span th:text="${data.getStatusSubmit()}"></span>
                                        </div>
                                    </td>
                                    <td th:if="${data.getDateSubmit() != null}" th:text="${#temporals.format(data.getDateSubmit(),'dd-MMM-yyyy')}">
                                    </td>
                                    <td th:if="${data.getDateSubmit() == null}">-</td>
                                    <td>

                                        <a th:href="@{/form/verifikasi(pendaftar=${data.getId()})}" class="btn btn-primary btn-sm" style="--bs-btn-bg: #15408d; background-image: var(--bs-gradient);">Detail</a>
<!--                                        <form method="post" th:action="@{/form/delete/keluarga(keluarga=${data.id})}">-->
<!--                                            <button type="submit" class="btn btn-danger btn-sm"-->
<!--                                                    onclick="return confirm('Are you sure want to delete this?')">-->
<!--                                                hapus-->
<!--                                            </button>-->
<!--                                        </form>-->
                                    </td>
                                </tr>
                                </tbody>
                            </table>

                        </div>
                    </div>
                    <div class="card-footer" style="text-align: right;">
                        <nav aria-label="Page navigation example">
                            <ul class="pagination" sd:pagination="full">
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>